re_registers Struct Reference

`#include <oniguruma.h>`

## Data Fields

int | allocated
int | num_regs
int * | beg
int * | end
OnigCaptureTreeNode * | history_root

## Detailed Description

Definition at line 582 of file oniguruma.h.

## Field Documentation

int re_registers::allocated

Definition at line 583 of file oniguruma.h.

Referenced by onig_region_free(), onig_region_init(), onig_region_resize(), and onig_region_set().

int* re_registers::beg

Definition at line 585 of file oniguruma.h.

Referenced by chopped_length(), match_array(), match_at(), match_equal(), match_hash(), onig_name_to_backref_number(), onig_region_clear(), onig_region_copy(), onig_region_free(), onig_region_init(), onig_region_resize(), onig_region_set(), rb_str_aset(), str_byte_aref(), str_byte_substr(), str_gsub(), strscan_aref(), strscan_get_byte(), strscan_getch(), strscan_matched(), strscan_matched_size(), and strscan_pre_match().

int* re_registers::end

Definition at line 586 of file oniguruma.h.

Referenced by chopped_length(), compile_string_node(), expand_case_fold_string(), get_char_length_tree1(), match_array(), match_at(), match_equal(), match_hash(), onig_region_clear(), onig_region_copy(), onig_region_free(), onig_region_init(), onig_region_resize(), onig_region_set(), rb_reg_nth_match(), rb_str_each_codepoint(), strscan_aref(), strscan_do_scan(), strscan_get_byte(), strscan_getch(), strscan_matched(), strscan_matched_size(), strscan_post_match(), and update_string_node_case_fold().

OnigCaptureTreeNode* re_registers::history_root

Definition at line 588 of file oniguruma.h.

Referenced by match_at(), onig_region_copy(), and onig_region_init().

int re_registers::num_regs

Definition at line 584 of file oniguruma.h.

Referenced by match_array(), match_begin(), match_end(), match_equal(), match_hash(), match_init_copy(), match_inspect(), match_offset(), match_values_at(), onig_region_clear(), onig_region_copy(), onig_region_init(), onig_region_resize(), rb_reg_match_last(), rb_reg_nth_defined(), rb_reg_nth_match(), rb_reg_regsub(), rb_str_split_m(), rb_str_subpat_set(), scan_once(), strscan_aref(), and update_char_offset().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h